Index: dev/ath/if_ath_tx.c
===================================================================
--- dev/ath/if_ath_tx.c	(revision 241213)
+++ dev/ath/if_ath_tx.c	(working copy)
@@ -725,15 +725,19 @@
 
 	/* For now, so not to generate whitespace diffs */
 	if (1) {
-#ifdef IEEE80211_SUPPORT_TDMA
 		int qbusy;
 
 		ATH_TXQ_INSERT_TAIL(txq, bf, bf_list);
 		qbusy = ath_hal_txqenabled(ah, txq->axq_qnum);
-
 		ATH_KTR(sc, ATH_KTR_TX, 4,
-		    "ath_tx_handoff: txq=%u, add bf=%p, qbusy=%d, depth=%d",
+		    "ath_tx_handoff%s: txq=%u, add bf=%p, qbusy=%d, depth=%d",
+#ifdef IEEE80211_SUPPORT_TDMA
+		    ""
+#else
+		    ": non-tdma"
+#endif
 		    txq->axq_qnum, bf, qbusy, txq->axq_depth);
+#ifdef IEEE80211_SUPPORT_TDMA
 		if (txq->axq_link == NULL) {
 			/*
 			 * Be careful writing the address to TXDP.  If
@@ -808,14 +812,6 @@
 			}
 		}
 #else
-		ATH_TXQ_INSERT_TAIL(txq, bf, bf_list);
-		ATH_KTR(sc, ATH_KTR_TX, 4,
-		    "ath_tx_handoff: non-tdma: txq=%u, add bf=%p, qbusy=%d, "
-		    "depth=%d",
-		    txq->axq_qnum,
-		    bf,
-		    qbusy,
-		    txq->axq_depth);
 		if (txq->axq_link == NULL) {
 			ath_hal_puttxbuf(ah, txq->axq_qnum, bf->bf_daddr);
 			DPRINTF(sc, ATH_DEBUG_XMIT,